Page MenuHomePhabricator

CX2: Make version 2 the default
Closed, ResolvedPublic

Description

As part of the gradual deployment process for the new version of Content translation, we want the new version to become the default version for users of Content Translation. This will expose more users to the provided improvements, and to bugs and limitations that we want to get surfaced to work on next.

For this stage the goal is to:
- Make version 2 the default, while still provide a way for users to switch back and forth between the old and new versions if needed.
- Communicate the change to (a) avoid user surprise about what has changed, and (b) encourage feedback.

Making version 2 the default

- Adjust the content translation configuration to make version 2 the default for all Content translation users, existing and new.
- Remove the more prominent invite added in T204817. Note that we still want to keep the controls to switch between versions provided on the dashboard sidebar (T194387)

Communicating the change

We want to communicate the change only to those users who have migrated from version 1 to version 2 as part of this change. That is:
- Users who have previously enabled version 2 manually should not get any message, since nothing changes for them (they are already aware of version 2 and using it).
- New users who have not accessed Content Translation before should not get any message, since they will perceive the new version as the normal behaviour (unaware of the existence of version 1).

The proposed solution is to show the target users a message. The message should be shown only once per user (globally, independent of the wiki they visit):

The new version is now active
The new version brings a more solid editing experience, and we want to hear your early impressions to make it even better.
The new editor will be used by default for your new translations. Current in-progress translations will use the old version.

Design details:

  • The proposed icon to use is "logoWikimediaDiscovery" in the icon repo.
  • The last sentence of the message is de-emphasized by using a smaller font size (14px), and Base20 (#54595d) as color.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterAllow users to opt-out of CX2
mediawiki/extensions/ContentTranslation : masterCommunicate that new translations will be started with CX2
mediawiki/extensions/ContentTranslation : masterMake CX2 the default version
mediawiki/extensions/ContentTranslation : masterRemove CX2 invite

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2018, 11:38 AM
Pginer-WMF triaged this task as Medium priority.Dec 6 2018, 11:40 AM
Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.Dec 10 2018, 1:53 PM
Pginer-WMF raised the priority of this task from Medium to High.Jan 7 2019, 11:41 AM

Change 482731 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Make CX2 the default version

https://gerrit.wikimedia.org/r/482731

Change 482742 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Remove CX2 invite

https://gerrit.wikimedia.org/r/482742

@Pginer-WMF what would be the acceptable way to know if user is visiting CX page for the first time? We can consider users which have no drafts and no published translations as new users. In that case, the message dialog would be shown once for users who have at least one draft or published translation and didn't opt in for CX2 using invite or switcher inside help card. What about the users who have opted in and then disabled CX2 again to go back to CX1. Should they get the message dialog?

Another question. Is the switcher going from giving the possibility to opt-in for CX2 to allowing users to opt-out from CX2? Since version 2 is becoming the default, should "Using new version" with Disable option be shown to all users? Again, what about those who tried CX2 and gone back to CX1?

@Pginer-WMF what would be the acceptable way to know if user is visiting CX page for the first time? We can consider users which have no drafts and no published translations as new users.

This seems a valid estimation of new users.

In that case, the message dialog would be shown once for users who have at least one draft or published translation and didn't opt in for CX2 using invite or switcher inside help card. What about the users who have opted in and then disabled CX2 again to go back to CX1. Should they get the message dialog?

Yes, users who have opted in and then disabled CX2 again in the past should be migrated to use CX2 automatically, and the message will be shown to them. This is consistent with the principle of "communicate the change only to those users who have migrated from version 1 to version 2 as part of this change".

Another question. Is the switcher going from giving the possibility to opt-in for CX2 to allowing users to opt-out from CX2? Since version 2 is becoming the default, should "Using new version" with Disable option be shown to all users? Again, what about those who tried CX2 and gone back to CX1?

The switch should work in the same way it does now. If you are in CX2, it shows the "using the new version" label and the option to disable, if you are in CX1 you have the option to "try the new version". The only difference is that more people will start in the CX2 state initially (as if someone clicked the "try the new version" for them).

Change 483342 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Communicate that new translations will be started with CX2

https://gerrit.wikimedia.org/r/483342

Change 484349 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Allow users to opt-out of CX2

https://gerrit.wikimedia.org/r/484349

Change 482742 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Remove CX2 invite

https://gerrit.wikimedia.org/r/482742

Change 482731 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Make CX2 the default version

https://gerrit.wikimedia.org/r/482731

Change 484349 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Allow users to opt-out of CX2

https://gerrit.wikimedia.org/r/484349

Change 483342 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Communicate that new translations will be started with CX2

https://gerrit.wikimedia.org/r/483342

Etonkovidova updated the task description. (Show Details)Jan 18 2019, 3:10 AM
Etonkovidova closed this task as Resolved.Jan 18 2019, 3:16 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.13 - all specs seems to be in place. The implemented message for users who did not manually enabled CX2 looks as the following: